core::posix::this_process Namespace Reference

## Namespaces

| env

## Functions

CORE_POSIX_DLL_PUBLIC Process | instance () noexcept(true)
| Returns a Process instance corresponding to this process. More...
CORE_POSIX_DLL_PUBLIC Process | parent () noexcept(true)
| Query the parent of the process. More...
CORE_POSIX_DLL_PUBLIC std::istream & | cin () noexcept(true)
| Access this process's stdin. More...
CORE_POSIX_DLL_PUBLIC std::ostream & | cout () noexcept(true)
| Access this process's stdout. More...
CORE_POSIX_DLL_PUBLIC std::ostream & | cerr () noexcept(true)
| Access this process's stderr. More...

## Function Documentation

## cerr()

std::ostream & core::posix::this_process::cerr | ( |  | ) |

noexcept

Access this process's stderr.

Definition at line 171 of file this_process.cpp.

Referenced by core::posix::fork(), TEST(), and core::posix::vfork().

## cin()

std::istream & core::posix::this_process::cin | ( |  | ) |

noexcept

Access this process's stdin.

Definition at line 161 of file this_process.cpp.

Referenced by TEST().

## cout()

std::ostream & core::posix::this_process::cout | ( |  | ) |

noexcept

Access this process's stdout.

Definition at line 166 of file this_process.cpp.

Referenced by TEST(), and TEST_F().

## instance()

Process core::posix::this_process::instance | ( |  | ) |

noexcept

Returns a Process instance corresponding to this process.

Definition at line 150 of file this_process.cpp.

Referenced by TEST().

## parent()

Process core::posix::this_process::parent | ( |  | ) |

noexcept

Query the parent of the process.

Returns
  The parent of the process.

Definition at line 156 of file this_process.cpp.

Referenced by TEST().